PANDA_WRITEOBJECT(3)

NAME
panda_writeobject - write a given object to disc

SYNOPSIS
 #include<panda/constants.h>
 #include<panda/functions.h>
 void panda_writeobject (panda_pdf *output, object *obj);

DESCRIPTION

PANDA INTERNAL. Writes all objects created with panda_newobject(), that have been added to the object tree with panda_addchild() via a call to panda_traverseobjects().

RETURNS

None

EXAMPLE

#include<panda/constants.h> #include<panda/functions.h> panda_pdf *document; panda_object *obj; panda_init(); document = panda_open("filename.pdf", "w"); obj = panda_newobject(document, panda_object_normal); panda_writeobject(document, obj);

SEE ALSO

panda_newobject, panda_freeobject, panda_traverseobjects, panda_addchild

VERSION

This documentation was generated for Panda 0.4.2 by autodocbook (http://www.stillhq.com).

AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 and 2001, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.